Package Details: jumanji-git r466.de4c6c3-1

Git Clone URL: https://aur.archlinux.org/jumanji-git.git (read-only)
Package Base: jumanji-git
Description: a web browser
Upstream URL: http://pwmt.org/projects/jumanji
Licenses: custom
Conflicts: jumanji
Provides: jumanji
Submitter: None
Maintainer: mlq
Last Packager: mlq
Votes: 120
Popularity: 0.202554
First Submitted: 2010-07-05 14:02
Last Updated: 2015-11-26 07:51

Dependencies (5)

Required by (0)

Sources (1)

Latest Comments

eigengrau commented on 2015-05-27 10:38

Working nicely, thanks!

eigengrau commented on 2015-05-27 08:06

Another thing: does the git version of jumanji really depend on the git version of girara? It builds just fine with the regular girara. Perhaps this should depend on girara (no -git), and girara-git should “provides“ girara.

eigengrau commented on 2015-05-27 08:03

Could you change the preset pkgver to use the format INCREMENTS.SHA1? When only the SHA1 is used as a version descriptor, as is currently the case, this will cause AUR helpers to believe that you bumped the PKGBUILD all the time (because, by chance, it can look like the generated pkgver is lower than the preset one in the PKGBUILd).

Cf. https://wiki.archlinux.org/index.php/VCS_package_guidelines#The_pkgver.28.29_function on how to implement. Basically, unless jumanji uses release tags, you want pkgver() to use:

printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"

The fixed pkgver should also use this format. Because of the numeric prefix, the pkgver will behave like a proper version counter then.

mlq commented on 2014-12-14 22:36

Please update your girara-git package; there was an error in its Makefile. Thanks for spotting it!

Reventlov commented on 2014-12-14 22:02

Output here: http://sprunge.us/RbMG

mlq commented on 2014-12-09 23:06

What is wrong with it?

Reventlov commented on 2014-12-01 11:05

Package broken. Flagging it out-of-date for awareness.

TrialnError commented on 2014-10-20 14:15

jumanji-git conflicts jumanji-git. That doesn't seem right.
In the conflicts line should be the packages like jumanji, jumanji-whatever.
The provides line is also somewhat unnecessary because nothing depends on jumanji which could also be satisfied with jumanji-git

In conclusion, both lines could be removed from the PKGBuild (will file requests for two other jumanji PKGBuilds and the remaining ones already conflicts this one)

z3bra commented on 2014-10-09 07:43

Optimisation flag seems to break the code. When I compile it with "-O2", I can't open links in the current tab. I changed the `make` line to

CFLAGS+=" -O0" make DATABASE=plain

And it works (even though it throws some errors about `_FORTIFY_SOURCE`)

czr commented on 2014-06-30 05:25

I'm unable to find the girara-gtk3-git package. Isn't suppose to be the same as girara-git?

All comments